Bug 798740 - SELinux is preventing /usr/sbin/vsftpd from 'read' accesses on the None unix.
SELinux is preventing /usr/sbin/vsftpd from 'read' accesses on the None unix.
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:04f1d25916b3f5fffbcb9524bfa...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-29 13:05 EST by Ivailo Iliev
Modified: 2012-03-23 20:37 EDT (History)
3 users (show)

See Also:
Fixed In Version: selinux-policy-3.10.0-80.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-23 20:37:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ivailo Iliev 2012-02-29 13:05:46 EST
libreport version: 2.0.8
executable:     /usr/bin/python
hashmarkername: setroubleshoot
kernel:         3.2.7-1.fc16.x86_64
reason:         SELinux is preventing /usr/sbin/vsftpd from 'read' accesses on the None unix.
time:           29.02.2012 (ср) 20,05,17 EET

description:
:SELinux is preventing /usr/sbin/vsftpd from 'read' accesses on the None unix.
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If you believe that vsftpd should be allowed read access on the unix <Unknown> by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep vsftpd /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                system_u:system_r:ftpd_t:s0-s0:c0.c1023
:Target Context                system_u:object_r:proc_net_t:s0
:Target Objects                unix [ None ]
:Source                        vsftpd
:Source Path                   /usr/sbin/vsftpd
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           vsftpd-2.3.4-7.fc16.x86_64
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-75.fc16.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.2.7-1.fc16.x86_64 #1 SMP Tue Feb
:                              21 01:40:47 UTC 2012 x86_64 x86_64
:Alert Count                   9
:First Seen                    29.02.2012 (ср) 19,48,00 EET
:Last Seen                     29.02.2012 (ср) 20,02,46 EET
:Local ID                      fb5c9cde-2a2f-4b2d-910e-9acee7f8d221
:
:Raw Audit Messages
:type=AVC msg=audit(1330538566.269:12259): avc:  denied  { read } for  pid=11845 comm="vsftpd" name="unix" dev=proc ino=4026532000 scontext=system_u:system_r:ftpd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:proc_net_t:s0 tclass=filenode=(removed) type=SYSCALL msg=audit(1330538566.269:12259): arch=c000003e syscall=21 success=no exit=-13 a0=7fffdb5d8ea0 a1=4 a2=7fffdb5d8eae a3=7fffdb5d8cb0 items=0 ppid=11798 pid=11845 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="vsftpd" exe="/usr/sbin/vsftpd" subj=system_u:system_r:ftpd_t:s0-s0:c0.c1023 key=(null)
:
:
:Hash: vsftpd,ftpd_t,proc_net_t,None,read
:
:audit2allow
:
:
:audit2allow -R
:
:
Comment 1 Miroslav Grepl 2012-03-06 02:13:06 EST
commit 3ffa5ecf97f3b642eba6fc2a414c6a28dace490f
Author: Miroslav Grepl <mgrepl@redhat.com>
Date:   Tue Mar 6 09:12:05 2012 +0000

    vsftpd reads network state
Comment 2 Fedora Update System 2012-03-13 08:25:44 EDT
selinux-policy-3.10.0-80.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/FEDORA-2012-2733/selinux-policy-3.10.0-80.fc16
Comment 3 Fedora Update System 2012-03-20 22:24:52 EDT
Package selinux-policy-3.10.0-80.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.10.0-80.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-2733/selinux-policy-3.10.0-80.fc16
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-03-23 20:37:02 EDT
selinux-policy-3.10.0-80.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.